package com.bocloud.sms.monitor;

import lombok.Data;
import org.apache.curator.shaded.com.google.common.collect.Lists;

import java.util.List;

/**
 * @author aile
 * @since 2019/12/19 18:33
 */
@Data
public class PluginsModel {
    private String name;
    private String status;
    private List<Plugin> instance = Lists.newArrayList();

    @Data
    public static class Plugin {
        private String host;
        private String status;
        private String logger;
    }
}
