package com.bocloud.sms.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 图标实体类
 *
 * @author sunke
 * @Version 1.0
 * @since 2020年4月7日
 */
@EqualsAndHashCode(callSuper = true)
@Table("icon")
@Data
public class Icon extends GenericEntity {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("icon")
    private String icon;
    @Column("is_reserved")
    private Boolean reserved;
    @Column("category")
    private String category;

}
