package com.bocloud.sms.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author tyl
 * @since 2021/3/24 19:15
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BusinessModel {
    /**
     * 业务名称
     */
    private String name;
    /**
     * 业务编码
     */
    private String code;
    /**
     * 关联项目
     */
    private List<Long> projectIds;
    /**
     * 业务描述
     */
    private String remark;
}
