package com.bocloud.sms.model;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author hya
 * @Date 2022/3/11 14:08
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ColumnWidth(20)
@HeadRowHeight(15)
public class ImpExpBusinessExcelModel {
    @ExcelProperty(value = "业务名称",index = 0)
    private String name;
    @ExcelProperty(value = "业务编码",index = 1)
    private String code;
    @ExcelProperty(value = "关联项目",index = 2)
    private String projects;
    @ExcelProperty(value = "业务描述",index = 3)
    private Integer remarks;
}
