package com.bocloud.sms.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 用于插件和权限直接的绑定实体类
 * @author fzx
 * @since 2022/2/16
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PermissionPlugins {
    /**
     * 权限ID列表
     */
    private List<Long> permissionIdList;
    /**
     * 插件编码
     */
    private String pluginsCode;
    /**
     * 是否是租户端
     */
    private Boolean tenant;
}
