package com.bocloud.sms.model.log;

import lombok.Data;

@Data
public class LogModel {
    private String	subjectName; //	日志操作人，用户唯一标识
    private String	logType = "6"; //	日志类型，见《附录1：日志类型编码》
    private String	systemNumber; //	系统编号，系统唯一标识
    private String	systemNameCn; //	系统名称
    private String	systemAddress; //	系统地址IP
    private String	message; //	日志内容
    private String	objectType = "4"; //	操作对象类型 见《附录2：操作对象类型字典》
    private String	subjectAddress; //	用户访问系统的终端IP
    private String	startTime; //	操作时间，格式为“YYYY-MM-DD HH24:MM:SS”
    private String	operation = "600"; //	操作类型，见《附录3：操作类型编码》
    private String	outcome; //	操作结果 0：成功;1：失败

}
